Subject: Re: [PATCH 2/2] send-email: don't needlessly abs_path() the core.hooksPath

From: Junio C Hamano <[email-masked]>
Date: Tue, 25 May 2021 15:21:13 +0900

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> The repo_path() function was introduced in c8243933c74, so it's never
> been in a release, thus I think it's fine to alter its behavior.
>
> The code here doesn't need to concern itself with what needs to be
> relative to what, you run send-email in some working tree directory (or
> top-level), and depending on core.hooksPath we'll either return a
> relative path to the .git/hooks or an absolute one, the system()
> invocation will accept either.

All of that are convincing, but I'd rather not risk it.  I'll take
your 1/2 with J6t's fix, both of which are obvious and no brainer,
but I am willing to take this 2/2 as a post-release clean-up next
monght, though ;-)

Thanks.